package org.jboss.webservice.example.jbws3552;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType( XmlAccessType.FIELD) //without this no fields are added to the WSDL unless we have corresponding setters (CXF specific)
public class MyException extends Exception
{
	private String message;
	private String description;
	private int code;
	
	private NoArgObj noargobj;

	public String getMessage()
	{
		return message;
	}

	public String getDescription()
	{
		return description;
	}

	public int getCode()
	{
		return code;
	}
	
	@XmlJavaTypeAdapter(value=NoArgObjAdapter.class) //this is ignored
	public NoArgObj getNoargobj() {
		return noargobj;
	}

//	public void setMessage(String message) {
//		this.message = message;
//	}
//
//	public void setDescription(String description) {
//		this.description = description;
//	}
//
//	public void setCode(int code) {
//		this.code = code;
//	}

//	@XmlJavaTypeAdapter(value=NoArgObjAdapter.class)
//	public void setNoargobj(NoArgObj noargobj) {
//		this.noargobj = noargobj;
//	}

}